/***************************************************************************
 *
 * close_c.CMD  - Genderte SOCK.CMD von Tobias.Grimm@gmx.de
 *
 *                close_c.cmd dient dazu alle Verbindungen von ISDNPM zu trennen.
 *                12.06.2001  - klaus.abresch@t-online.de
 *
 ****************************************************************************/

call RxFuncAdd 'SysSleep','RexxUtil','SysSleep'
call RxFuncAdd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
call SysLoadFuncs


/* load socket-lib: */

If RxFuncQuery("SockLoadFuncs") Then
Do
  Call RxFuncAdd "SockLoadFuncs","RXSOCK","SockLoadFuncs"
  Call SockLoadFuncs
End


/* socket variable for the connection: */

Socket = SockSocket("AF_INET", "SOCK_STREAM", "0")

CRLF='0d0a'x

/* */


/* Open Socket Connection: */

    rc = Connect("192.168.1.1",4000);
    if rc < 0 then
    do
        say "Socket Connect Error !!!"
        exit 0
    end

/* */

/* uid und pwd wie in X:\ISDNPM30\AUTH.TCP angegeben */

  SAY SendCommandAndWait("cmd=auth uid=Klaus pwd=Klaus"||CRLF)
  SAY SendCommandAndWait("cmd=DISCONNECT CHANNEL=0"||CRLF)

/* Close Socket Connection: */
    rc= Disconnect()
exit 0

/**************************************************************************/
/* connect the socket                                                     */
/**************************************************************************/
Connect:
parse arg ip, port
  Socket = SockSocket("AF_INET", "SOCK_STREAM", "0")
  Call SockGetHostByAddr ip, "Host.!"
  Host.!family = "AF_INET"
  Host.!port = port
  rc=SockConnect( Socket, "Host.!")
return rc

/**************************************************************************/
/* disconnect the socket                                                  */
/**************************************************************************/
DisConnect:
    Call SockShutDown Socket, 2
    Call SockClose Socket
return 0


/**************************************************************************/
/* send a command to the socket and wait for an answer                    */
/* und falls Daten vorhanden sind werte diese aus                         */
/**************************************************************************/

SendCommandAndWait:

parse arg Command
    rc=SockSend(Socket, COMMAND)
    if rc > 0 then
        rc=SockRecv(Socket, "in", 256)
    if rc <= 0 then in =TIMEOUT
RETURN rc


